package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;

import java.util.Map;

/**
 * @Description: 入院记录文档生成
 * @author: 胡敬
 * @time: 2020/3/16 17:47
 */
public class FirstPageRecordDocTrans extends ModelDocTrans {

    public FirstPageRecordDoc extract(MedrecVo medrecVo) {
        Map<String,Object> content = medrecVo.getContent();
        FirstPageRecordDoc firstPageRecordDoc = new FirstPageRecordDoc();
        firstPageRecordDoc.setStructureMap(content);
        return firstPageRecordDoc;
    }

}